## gcr4 4.2.0

=== meson_options.txt ===
option('introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject Introspection (GIR) files',
)
option('vapi',
  type: 'boolean',
  value: true,
  description: 'Generate vapi data (requires vapigen and introspection option)',
)
option('gtk4',
  type: 'boolean',
  value: true,
  description: 'Enable the GTK4 library and utilities',
)
option('gtk_doc',
  type: 'boolean',
  value: true,
  description: 'Build the reference documentation (requires gi-docgen)',
)
option('gpg_path',
  type: 'string',
  value: '',
  description: 'Path to gpg, autodetected if not set',
)
option('ssh_agent',
  type: 'boolean',
  value: true,
  description: 'Build ssh-agent binary',
)
option('systemd',
  type: 'feature',
  value: 'auto',
  description: 'Use systemd socket activation for server programs'
)
