## gcr4 4.1.0

=== debian/changelog ===
gcr4 (4.1.0-0ubuntu1) lunar; urgency=medium

  * Upload to Ubuntu while waiting for Debian NEW queue review.
    This is a required dependency for epiphany-browser 44

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 12:15:27 -0400

gcr4 (4.1.0-1) UNRELEASED; urgency=medium

  * Rename source package for new series since we'll need to keep the
    old series around for a while
  * New upstream release (Closes: #1023632)
  * Build with gtk4
  * Update binary package names & symbols files
  * Create a minimal gcr4 package that depends on the old gcr:
    we can keep using the old gcr binary package for now
  * debian/rules: Drop obsolete build option
  * debian/tests/control: Drop the gcr4 test until it can be rewritten

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2023 17:49:02 -0500

gcr (3.41.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen instead of gtk-doc-tools
  * debian/control.in: Bump minimum meson to 0.52
  * Drop 2 patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 22:48:53 +0200

gcr (3.41.0-4) unstable; urgency=medium

  * Use dh-exec to install systemd user service on Linux only
  * Don't build ssh-agent on non-Linux since it requires libsecret

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 25 May 2022 09:09:52 -0400

gcr (3.41.0-2) unstable; urgency=medium

  * Add patch to start systemd service with graphical session

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 May 2022 11:52:15 -0400

gcr (3.41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on openssh-client
  * Build new systemd ssh-agent user service
  * Add patch to fix a build issue without systemd
  * Drop test chain patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 May 2022 11:17:10 -0400

gcr (3.40.0-4) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest meson (Closes: #1005545)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 16:18:13 -0400

gcr (3.40.0-3) unstable; urgency=medium

  * debian/patches: Fix random certificate chain test failure in some archs

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Sep 2021 02:08:30 +0200

gcr (3.40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Clean up obsolete overrides
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 20:24:56 -0400

gcr (3.40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated gtk requirement
  * debian/docs:
    - updated documentation files to include
  * debian/libgck-1-0.symbols:
    - updated the list of symbols for the new version
  * debian/rules:
    - remove autoreconf overwrite, not needed anymore
  * debian/patches/tests-collection-test-timeout.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Jun 2021 16:23:07 +0200

gcr (3.38.1-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTBFS with nocheck profile.
    gpg is required at configure time, even if we will not run the tests.
    (Closes: #980830)

  [ Simon McVittie ]
  * Standards-Version: 4.5.1 (no changes required)
  * d/upstream/metadata: Add
  * Add Lintian overrides for #970275

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:36:13 +0000

gcr (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2021 17:26:53 +0100

gcr (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/gck-slot-Initialize-struct-tm-to-all-zeroes.patch:
    - remove patch included in the new version
  * debian/rules:
    - Build without =-Wl,-Bsymbolic-functions, it breaks the tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Sep 2020 15:20:23 +0200

gcr (3.36.0-2) unstable; urgency=medium

  * Team upload
  * d/p/gck-slot-Initialize-struct-tm-to-all-zeroes.patch:
    Add patch to fix timestamp parsing, fixing intermittent test failures
    (Closes: #953981)
  * d/p/tests-collection-test-timeout.patch:
    Mark patch as forwarded upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Mar 2020 14:40:41 +0000

gcr (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - Bump build-dependencies and switch to meson
    - Drop d/p/build-Use-sed-for-.desktop-variables-substitution.patch, not
      needed now that we switched to meson
    - debian/libgcr-base-3-1.symbols: Add newly exported symbols
  * Move gcr-prompter and gcr-ssh-askpass to /usr/libexec
  * debian/control.in: Mark the -doc packages as Build-Profiles: <!nodoc> and
    add libgtk-3-doc to the BDI
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Make autopkgtests cross-test-friendly, thanks to Steve Langasek (Closes:
    #946369)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Mar 2020 15:52:58 +0100

gcr (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches except tests-collection-test-timeout.patch:
    - Applied in new release
  * Cherry-pick build-Use-sid-for-.desktop-variables-substition.patch:
    - Fix broken gcr-viewer.desktop (Closes: #941417, #942546)
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome & dh-sequence-gir

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 22 Oct 2019 06:20:09 -0400

gcr (3.33.4-3) unstable; urgency=medium

  * Team upload
  * Tighten interdependencies between libraries to upgrade in lockstep.
    Nobody is going to test arbitrary combinations of binary packages from
    the same source, and there seems no benefit in upgrading on a finer
    granularity than per-source-package. (Related to #941076)
  * Canonicalize order of installed file lists (wrap-and-sort -a)
  * Canonicalize order of dependency lists (wrap-and-sort -a)
  * d/tests: Add autopkgtest smoke-tests for the development libraries

