=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gcr4
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gir,
               dh-sequence-gnome,
               docbook-xml,
               gi-docgen,
               gnupg,
               libdbus-1-dev (>= 1.0),
               libgcrypt20-dev (>= 1.4.5),
               libgirepository1.0-dev (>= 1.34),
               libglib2.0-dev (>= 2.44.0),
               libgtk-4-dev,
               libp11-kit-dev (>= 0.19.0),
               libsecret-1-dev (>= 0.20) [linux-any],
               libsystemd-dev [linux-any],
               libtasn1-6-dev,
               libtasn1-bin,
               meson (>= 0.52),
               openssh-client,
               valac,
               xsltproc
Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-4-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gcr4
Vcs-Git: https://salsa.debian.org/gnome-team/gcr4.git
Homepage: https://wiki.gnome.org/Projects/GnomeKeyring

Package: gcr4
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         gcr,
         libgcr-4-4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME crypto services (daemon and tools)
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the certificate viewer and prompter service.

Package: libgck-2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gck-2 (= ${binary:Version}),
         libgck-2-2 (= ${binary:Version}),
         libglib2.0-dev (>= 2.44.0),
         libp11-kit-dev (>= 0.19.0),
         ${misc:Depends}
Suggests: libgck-2-doc
Description: GLib wrapper library for PKCS#11 - development
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCK library.

Package: libgck-2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: GLib wrapper library for PKCS#11 - documentation
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the API documentation for the GCK library.

Package: libgck-2-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Glib wrapper library for PKCS#11 - runtime
 GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
 interface.
 .
 This package contains the shared libraries needed to run programs
 built against the GCK library.

Package: gir1.2-gck-2
Architecture: any
Multi-Arch: same
Section: introspection
Depends: libgck-2-2 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GCK library
 This package contains introspection data for GCK, a wrapper based on GLib
 implementing the PKCS#11 (Cryptoki) interface.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the GCK library.

Package: libgcr-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gcr-4 (= ${binary:Version}),
         libgck-2-dev (= ${binary:Version}),
         libgcr-4-4 (= ${binary:Version}),
         libglib2.0-dev,
         libp11-kit-dev,
         ${misc:Depends}
Suggests: libgcr-4-doc
Description: Library for Crypto UI related tasks - development
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the static libraries, header files and
 documentation needed to build applications using the GCR library.

Package: libgcr-4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: Library for Crypto UI related tasks - documentation
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the API documentation for the GCR library.

Package: libgcr-4-4
Section: libs
Architecture: any
Multi-Arch: same
Depends: libgck-2-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Library for Crypto related tasks
 GCR is a library for crypto UI and related tasks.
 .
 This package contains the GObject library for high level crypto
 parsing.

Package: gir1.2-gcr-4
Architecture: any
Multi-Arch: same
Section: introspection
Depends: libgcr-4-4 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GCR library
 This package contains introspection data for GCR, a library for crypto UI
 and related tasks.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the GCR library.
