=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Filter out that flag for Ubuntu, it's default there but fails the build
# https://gitlab.gnome.org/GNOME/gcr/issues/43
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

# Temporarily disable things shipped by gcr
#ifneq ($(DEB_HOST_ARCH_OS),linux)
SYSTEMD = -Dsystemd=disabled
SSH_AGENT = -Dssh_agent=false -Dgtk4=false
#endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dgtk_doc=true \
		-Dintrospection=true \
		$(SSH_AGENT) \
		$(SYSTEMD)

override_dh_auto_test:
	# Disable fakeroot as this confuses some of the tests
	env -u LD_PRELOAD dbus-run-session -- dh_auto_test
