=== debian/tests/control ===
Tests: libgck-2-dev
Depends: build-essential,
         libgck-2-dev,
         pkg-config,
Restrictions: allow-stderr superficial

# This test copied from the old gcr source
# needs to be rewritten for gcr4
#Tests: libgcr-4-dev
#Depends: build-essential,
#         dbus,
#         libgcr-4-dev,
#         pkg-config,
#         xauth,
#         xvfb
#Restrictions: allow-stderr superficial
