## gcr4 4.2.0

=== debian/changelog ===
gcr4 (4.2.0-6) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev build-dependency.
    This is a step towards making cross-compiling possible.
  * d/control: Add ${gir:Depends}, ${gir:Provides} to all relevant packages.
    This will let dependent packages like gnome-shell depend on the
    systematic gir1.2-*-dev names that represent the GIR XML.

  [ Jeremy Bícha ]
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 14:00:14 -0400

gcr4 (4.2.0-5) unstable; urgency=medium

  * debian/tests:
    - update the libgcr-4-dev test to not use a deprecated API
      and re-enable it.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2024 16:50:15 +0200

gcr4 (4.2.0-4) unstable; urgency=medium

  * Add Build-Depends: systemd-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Mar 2024 12:12:35 -0400

gcr4 (4.2.0-3) unstable; urgency=medium

  * Have gcr4 install the gcr-ssh-agent service instead of gcr
  * Also install gcr-viewer4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 14:52:19 -0500

gcr4 (4.2.0-2) unstable; urgency=medium

  * Ignore build test failures on s390x (Closes: #1057562)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 14:02:40 -0500

gcr4 (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libgcr-4-4.symbols: Update
  * Stop using debian/control.in and dh_gnome_clean
  * Opt into Ubuntu language packs since this will eventually be in Ubuntu main
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Feb 2024 08:09:23 -0500

gcr4 (4.1.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Mar 2023 16:46:42 -0400

gcr4 (4.1.0-1) experimental; urgency=medium

  * Rename source package for new series since we'll need to keep the
    old series around for a while
  * New upstream release (Closes: #1023632)
  * Build with gtk4
  * Update binary package names & symbols files
  * Create a minimal gcr4 package that depends on the old gcr:
    we can keep using the old gcr binary package for now
  * debian/rules: Drop obsolete build option
  * debian/tests/control: Drop the gcr4 test until it can be rewritten

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2023 17:49:02 -0500
