=== debian/control ===
--- 
+++ 
@@ -1,13 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gcr4
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: dbus <!nocheck>,
                debhelper-compat (= 13),
                dh-exec,
@@ -15,10 +10,12 @@
                dh-sequence-gnome,
                docbook-xml,
                gi-docgen,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                gnupg,
+               gobject-introspection (>= 1.78.1-9~),
                libdbus-1-dev (>= 1.0),
                libgcrypt20-dev (>= 1.4.5),
-               libgirepository1.0-dev (>= 1.34),
                libglib2.0-dev (>= 2.44.0),
                libgtk-4-dev,
                libp11-kit-dev (>= 0.19.0),
@@ -28,11 +25,12 @@
                libtasn1-bin,
                meson (>= 0.52),
                openssh-client,
+               systemd-dev [linux-any],
                valac,
                xsltproc
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-4-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gcr4
 Vcs-Git: https://salsa.debian.org/gnome-team/gcr4.git
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring
@@ -44,6 +42,8 @@
          libgcr-4-4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: gcr (<< 3.41.1-5~)
+Replaces: gcr (<< 3.41.1-5~)
 Description: GNOME crypto services (daemon and tools)
  GCR is a library for crypto UI and related tasks.
  .
@@ -57,7 +57,9 @@
          libgck-2-2 (= ${binary:Version}),
          libglib2.0-dev (>= 2.44.0),
          libp11-kit-dev (>= 0.19.0),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: libgck-2-doc
 Description: GLib wrapper library for PKCS#11 - development
  GCK is a wrapper based on GLib implementing the PKCS#11 (Cryptoki)
@@ -99,6 +101,7 @@
 Depends: libgck-2-2 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for the GCK library
  This package contains introspection data for GCK, a wrapper based on GLib
  implementing the PKCS#11 (Cryptoki) interface.
@@ -115,7 +118,9 @@
          libgcr-4-4 (= ${binary:Version}),
          libglib2.0-dev,
          libp11-kit-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: libgcr-4-doc
 Description: Library for Crypto UI related tasks - development
  GCR is a library for crypto UI and related tasks.
@@ -155,6 +160,7 @@
 Depends: libgcr-4-4 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for the GCR library
  This package contains introspection data for GCR, a library for crypto UI
  and related tasks.
