=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,10 @@
 # https://gitlab.gnome.org/GNOME/gcr/issues/43
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
-# Temporarily disable things shipped by gcr
-#ifneq ($(DEB_HOST_ARCH_OS),linux)
+ifneq ($(DEB_HOST_ARCH_OS),linux)
 SYSTEMD = -Dsystemd=disabled
 SSH_AGENT = -Dssh_agent=false -Dgtk4=false
-#endif
+endif
 
 %:
 	dh $@
@@ -25,6 +24,13 @@
 		$(SSH_AGENT) \
 		$(SYSTEMD)
 
+# Disable fakeroot as this confuses some of the tests
+# Ignore test failures on s390x
 override_dh_auto_test:
-	# Disable fakeroot as this confuses some of the tests
+ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
+	env -u LD_PRELOAD dbus-run-session -- dh_auto_test || true
+else
 	env -u LD_PRELOAD dbus-run-session -- dh_auto_test
+endif
+
+override_dh_gnome_clean:
