## gcr4 4.3.0

=== debian/changelog ===
gcr4 (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libgcr-4-4.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 21:11:38 -0400
