## gcr4 4.3.90.3

=== debian/changelog ===
gcr4 (4.3.90.3-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib
  * debian/libgcr-4-4.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 19:22:59 -0500
