## gcr4 4.3.91

=== debian/changelog ===
gcr4 (4.3.91-1) unstable; urgency=medium

  * New upstream release
  * debian/libgcr-4-4.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 08:39:19 -0500
