## gcr4 4.4.0.1

=== debian/changelog ===
gcr4 (4.4.0.1-7) unstable; urgency=medium

  * Team upload
  * d/tests/installed-tests: Run tests with a 1 minute timeout
    (Mitigates: #1112076)
  * d/tests/installed-tests: Don't suppress tests' output.
    If a test gets stuck, this gives us a better idea of how far it got
    and what might have gone wrong. (Helps: #1112076)
  * d/tests/installed-tests: Improve robustness by using `set -eu`
  * d/p/workarounds/test-ssh-agent-service-Don-t-run-this-test-by-default.patch:
    Skip a flaky test unless specifically requested
    (Mitigates: #1112659, Closes: #1112076)
  * d/p/workarounds/test-ssh-agent-process-Don-t-run-this-test-by-default.patch:
    Skip another apparently flaky test
    (Mitigates: #1112662)
  * d/p/workarounds/disable-test-which-segfaults.patch:
    Run the test if DEB_ALLOW_FLAKY_TESTS is in the environment
  * d/tests/control: Re-run the tests with flaky tests enabled.
    This will let us get an idea of how often they fail and whether they
    have been fixed.
  * d/tests/control: Give Test-Command-based tests a meaningful name
  * d/control: Remove Build-Depends-Indep on -doc packages.
    gtk-doc needed these for interlinking between packages' documentation,
    but gi-docgen handles that differently.
  * d/control, d/rules: Only require gi-docgen when building -doc package
  * d/control: Remove obsolete Build-Depends on docbook-xml and xsltproc.
    These don't seem to be used for anything any more.
  * d/lib*-doc.links: Register API documentation with devhelp
  * d/lib*-doc.doc-base.*: Register API documentation with doc-base
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Aug 2025 18:19:02 +0100

gcr4 (4.4.0.1-6) unstable; urgency=medium

  * d/tests: Fixup installed-tests for different autopkgtest runners

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 25 Aug 2025 15:32:59 +0200

gcr4 (4.4.0.1-5) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:21:07 -0400

gcr4 (4.4.0.1-4) experimental; urgency=medium

  * Team upload
  * debian: Run upstream integration tests as autopkgtests
  * debian: Add proposed patch to ensure gcr4 is the default ssh-agent provider

 -- Alessandro Astone <alessandro.astone@canonical.com>  Sun, 27 Jul 2025 17:04:51 +0200

gcr4 (4.4.0.1-3) unstable; urgency=medium

  [ Santiago Vila ]
  * Add patch to disable a test that segfaults on some systems
    (Closes: #1057562)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 12 Apr 2025 11:55:19 -0400

gcr4 (4.4.0.1-2) unstable; urgency=medium

  * Opt into Salsa CI
  * Stop ignoring build test failures on s390x

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 17:31:31 -0400

gcr4 (4.4.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Mar 2025 17:06:58 +0100
