=== debian/control ===
--- 
+++ 
@@ -8,15 +8,13 @@
                dh-exec,
                dh-sequence-gir,
                dh-sequence-gnome,
-               docbook-xml,
-               gi-docgen,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gnupg,
                gobject-introspection (>= 1.78.1-9~),
                libdbus-1-dev (>= 1.0),
                libgcrypt20-dev (>= 1.4.5),
-               libglib2.0-dev (>= 2.44.0),
+               libglib2.0-dev (>= 2.74.0),
                libgtk-4-dev,
                libp11-kit-dev (>= 0.19.0),
                libsecret-1-dev (>= 0.20) [linux-any],
@@ -27,10 +25,9 @@
                openssh-client,
                systemd-dev [linux-any],
                valac,
-               xsltproc
-Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgtk-4-doc <!nodoc>
+Build-Depends-Indep: gi-docgen <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gcr4
 Vcs-Git: https://salsa.debian.org/gnome-team/gcr4.git
 Homepage: https://wiki.gnome.org/Projects/GnomeKeyring
@@ -55,7 +52,7 @@
 Multi-Arch: same
 Depends: gir1.2-gck-2 (= ${binary:Version}),
          libgck-2-2 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.44.0),
+         libglib2.0-dev (>= 2.74.0),
          libp11-kit-dev (>= 0.19.0),
          ${gir:Depends},
          ${misc:Depends}
@@ -167,3 +164,16 @@
  .
  It can be used by interpreters understanding the GIRepository format to
  write programs using the GCR library.
+
+Package: gcr4-tests
+Architecture: any
+Depends: gcr4,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Test programs for gcr4 libraries
+ This package contains test programs that test the functionality of the
+ various libraries provided in gcr4.
+ .
+ The test programs either link against the provided libraries,
+ or they include the same compiled source code as a library in case of
+ static or derived libraries.
