=== debian/tests/control ===
Tests: libgck-2-dev
Depends: build-essential,
         libgck-2-dev,
         pkg-config,
Restrictions: allow-stderr superficial

Tests: libgcr-4-dev
Depends: build-essential,
         dbus,
         libgcr-4-dev,
         pkg-config,
Restrictions: allow-stderr superficial

Test-Command: dbus-run-session debian/tests/installed-tests
Depends: gcr4-tests, dbus-daemon
Features: test-name=installed-tests
Restrictions: needs-root, isolation-container

Test-Command: env DEB_ALLOW_FLAKY_TESTS=1 dbus-run-session debian/tests/installed-tests
Depends: gcr4-tests, dbus-daemon
Features: test-name=installed-tests-flaky
Restrictions: flaky, needs-root, isolation-container
